package com.dla.dda.domain.constants;

public enum OrigenCodes {

	UNKNOW(0), REAL(1), ESPEJO(2);

	private int code;

	OrigenCodes(int code) {
		this.code = code;
	}

	public int getCode() {
		return code;
	}

	public OrigenCodes getOrigen(int code) {

		OrigenCodes[] origenList = OrigenCodes.values();

		for (OrigenCodes origen : origenList) {

			if (origen.getCode() == code) {
				return origen;
			}
		}

		return UNKNOW;

	}

}
